-- this file display the important parameters
require 'common'

print("------- Info from common.lua --------------")
print("-- Use Multi-level ",multi_level)
print("-- Reynolds number = "..Re)
print("-- Level is ",level)
print("-- The dx is "..dx)
print("-- The dt is "..dt)
print("-----    LB Parameters    -----------------")
print("-- The channel length is: "..lx)
print("-- The channel height is: "..ly)
print("-- tmaxLB           is "..tmaxLB)
print("-- Omega          is "..omega)
print(string.format("-- nuLB = %.8f", nuLB))
print("-- Max velocity LB is "..velMaxLB )
print("-----   Physical Parameters   -------------")
print("-- The channel length is: "..length)
print("-- The channel height is: "..height)
print(string.format("-- tmaxPhy = %.4f", tmaxPhy))
print("-- dnesity is: "..densityPhy )
print(string.format("-- nuPhy = %.8f", nuPhy))
print("-- velMaxPhy is: "..velMaxPhy )
print("-- Total pressure drop is: "..dp )
print("-- Pressure @ outlet is: "..p0Phy )
print("-- Pressure @ inlet  is: "..p0Phy+dp )
print("-----   nonNewtonian Parameters   ---------")
print(string.format("-- n = %.2f", n))
print(string.format("-- velMaxPL = %.6f", velMaxPL))
print("-------------------------------------------")

